# Interface Mutation

#### Hierarchy

- Mutation

- Defined in packages/db/typings/schema.d.ts:185

#####
Index

### Properties

bytecodesAdd
compilationsAdd
contractInstancesAdd
contractsAdd
nameRecordsAdd
networkGenealogiesAdd
networksAdd
projectNamesAssign
projectsAdd
sourcesAdd

## Properties

### bytecodesAdd

bytecodesAdd: BytecodesAddPayload

- Defined in packages/db/typings/schema.d.ts:187

### compilationsAdd

compilationsAdd: CompilationsAddPayload

- Defined in packages/db/typings/schema.d.ts:188

### contractInstancesAdd

contractInstancesAdd: ContractInstancesAddPayload

- Defined in packages/db/typings/schema.d.ts:190

### contractsAdd

contractsAdd: ContractsAddPayload

- Defined in packages/db/typings/schema.d.ts:189

### nameRecordsAdd

nameRecordsAdd: NameRecordsAddPayload

- Defined in packages/db/typings/schema.d.ts:192

### networkGenealogiesAdd

networkGenealogiesAdd: NetworkGenealogiesAddPayload

- Defined in packages/db/typings/schema.d.ts:195

### networksAdd

networksAdd: NetworksAddPayload

- Defined in packages/db/typings/schema.d.ts:191

### projectNamesAssign

projectNamesAssign: ProjectNamesAssignPayload

- Defined in packages/db/typings/schema.d.ts:194

### projectsAdd

projectsAdd: ProjectsAddPayload

- Defined in packages/db/typings/schema.d.ts:193

### sourcesAdd

sourcesAdd: SourcesAddPayload

- Defined in packages/db/typings/schema.d.ts:186

Generated using TypeDoc